Moderate

CVE-2007-6284 - Resource Management Errors vulnerability in multiple products

Publication: 2008-01-12
Summary

The xmlCurrentChar function in libxml2 before 2.6.31 allows context-dependent attackers to cause a denial of service (infinite loop) via XML containing invalid UTF-8 sequences.

Classification
CWE-399: Resource Management Errors

Risk level (CVSS 5)

Moderate

5.0

Access Vector

  • Network
  • Adjacent Network
  • Local

Access Complexity

  • Low
  • Medium
  • High

Authentication

  • None
  • Single
  • Multiple

Confident. Impact

  • Complete
  • Partial
  • None

Integrity Impact

  • Complete
  • Partial
  • None

Affected Products

  • Mandrakesoft Mandrake Linux Corporate Server 3.0
  • Mandrakesoft Mandrake Linux Corporate Server 3.0
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 3.1
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Mandrakesoft Mandrake Linux Corporate Server 4.0
  • Mandrakesoft Mandrake Linux Corporate Server 4.0
  • Debian Debian Linux 4.0
  • Debian Debian Linux 4.0
  • Redhat Fedora 7
  • Redhat Fedora 8
  • Mandrakesoft Mandrake Linux 2007
  • Mandrakesoft Mandrake Linux 2007
  • Mandrakesoft Mandrake Linux 2007.1
  • Mandrakesoft Mandrake Linux 2007.1
  • Mandrakesoft Mandrake Linux 2008.0
  • Mandrakesoft Mandrake Linux 2008.0

References